Subject: Re: bug#66144: 29.1; eglot-shutdown request params violate JSONRPC

From: João Távora <[email-masked]>
Date: Sat, 14 Oct 2023 19:33:09 +0100

On Sat, Oct 14, 2023 at 7:02 PM João Távora <[email-masked]> wrote:
>
> On Sat, Oct 14, 2023 at 6:19 PM Javier Olaechea <[email-masked]> wrote:
> >
> > > If you can find some Eglot use case that is actually hurt by this, we can reopen.
> >
> > The OP has an Eglot use case that is hurt by this, they cannot shutdown the ocamllsp server. Because when they call M-x eglot-shutdown, eglot sends an invalid request. The server dies instead of returning a response and then eglot restarts the server.
>
> But what OP?  I don't see this message, can you point to it?

OK, I see the message now.  In that case that changes things.
One of the misbehaving servers has to correct itself.  I'd say it
should be gopls.

Unless that has already happened.  Can you test gopls shutdowns
with your patch Javier?

João